-- don't load if class is wrong
local _, class = UnitClass("player")
if class ~= "SHAMAN" then return end

local mod = clcInfo.env

function mod.IconTotem(slot)
	local haveTotem, name, startTime, duration, icon = GetTotemInfo(slot)
	if startTime > 0 then return true, icon, startTime, duration, 1 end
	return false
end